# Maintainer: anon at sansorgan.es
_base=dune-geometry
pkgname="python-${_base}"
_pypiver=2.8.0rc1
pkgver=${_pypiver%%rc*}
pkgrel=1
#epoch=
pkgdesc="Geometry Transformations, Reference Elements and Quadrature Rules"
arch=('x86_64')
url="https://dune-project.org/modules/${_base}"
license=('GPL2')
# groups=('dune-python')
depends=('python-dune-common')
makedepends=('vc' 'texlive-latexextra' 'doxygen' 'graphviz' 'python-sphinx' 'parmetis' 'scotch')
#checkdepends=()
optdepends=('vc: C++ Vectorization library'
  'texlive-latexextra: Type setting system'
  'doxygen: Generate the class documentation from C++ sources'
  'graphviz: Graph visualization software'
  'python-sphinx: Building Sphinx documentation'
  'parmetis: Parallel Graph Partitioning and Fill-reducing Matrix Ordering'
  'scotch: Software package and libraries for graph, mesh and hypergraph partitioning, static mapping, and sparse matrix block ordering')
provides=(${_base})
conflicts=(${_base})
#replaces=()
#backup=()
#options=()
#install=
#changelog=
source=(https://pypi.org/packages/source/${_base::1}/${_base}/${_base}-${_pypiver}.tar.gz)
#noextract=()
sha512sums=('feb4991bef3d62e2b952d42e2e56464c2a1f7bf2e5b847e940b6e0bea1b22082c4805da2c157800ad1b4fd6fa64914162e8b60fa1d319d538381ef103af0aa25')

build() {
  cd "${_base}-${_pypiver}"
  python setup.py build_clib
  python setup.py build_ext --inplace -DBUILD_SHARED_LIBS=TRUE
  python setup.py build
}

package() {
  cd "${_base}-${_pypiver}"
  export PYTHONHASHSEED=0
  python setup.py install --prefix=/usr --root="${pkgdir}" --optimize=1 --skip-build
  install -Dm644 LICENSE.md "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
}
